GlobalParametersIFD (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class GlobalParametersIFD

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.tiff.IFD
          edu.harvard.hul.ois.jhove.module.tiff.GlobalParametersIFD

    public class GlobalParametersIFD

extends IFD

Encapsulation of a GlobalParameters IFD, as defined by TIFF/FX, RFC 2301.

Author:
  Gary McGath

Field Summary
`static int` | `CODINGMETHODS` Tiff/FX-specific tags.
`static int` | `FAXPROFILE` Tiff/FX-specific tags.
`static int` | `MODENUMBER` Tiff/FX-specific tags.
`static int` | `PROFILETYPE` Tiff/FX-specific tags.
`static int` | `VERSIONYEAR` Tiff/FX-specific tags.

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.IFD
`_bigEndian, _info, _next, _offset, _version, ASCII, BYTE, DOUBLE, EXIF, FLOAT, GLOBALPARAMETERS, GPSINFO, IFD, INTEROPERABILITY, LONG, NULL, RATIONAL, SBYTE, SHORT, SLONG, SRATIONAL, SSHORT, TIFF, TYPE, UNDEFINED`

Constructor Summary
`GlobalParametersIFD(long offset, RepInfo info, java.io.RandomAccessFile raf, boolean bigEndian)` Instantiate a `GlobalParametersIFD` object.

Method Summary
`Property` | `getProperty(boolean rawOutput)` Get the IFD properties.
`void` | `lookupTag(int tag, int type, long count, long value)` Lookup an IFD tag.

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.IFD
`addBitmaskProperty, addIntegerArrayProperty, addIntegerProperty, addIntegerProperty, addRationalArrayProperty, addRationalProperty, average, calcValueSize, checkCount, checkType, checkType, getErrors, getNext, getOffset, getVersion, isBigEndian, isFirst, isThumbnail, parse, parse, parse, postParseInitialization, propertyHeader, readASCII, readASCIIArray, readByte, readByteArray, readDoubleArray, readLong, readLongArray, readRational, readRationalArray, readShort, readShortArray, readSignedRational, readSignedRationalArray, readSShortArray, readTrueByteArray, readUnsigned, setFirst, setThumbnail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROFILETYPE

    public static final int PROFILETYPE

  Tiff/FX-specific tags.

  See Also:
    Constant Field Values

### FAXPROFILE

    public static final int FAXPROFILE

  Tiff/FX-specific tags.

  See Also:
    Constant Field Values

### CODINGMETHODS

    public static final int CODINGMETHODS

  Tiff/FX-specific tags.

  See Also:
    Constant Field Values

### VERSIONYEAR

    public static final int VERSIONYEAR

  Tiff/FX-specific tags.

  See Also:
    Constant Field Values

### MODENUMBER

    public static final int MODENUMBER

  Tiff/FX-specific tags.

  See Also:
    Constant Field Values

Constructor Detail

### GlobalParametersIFD

    public GlobalParametersIFD(long offset,
                               RepInfo info,
                               java.io.RandomAccessFile raf,
                               boolean bigEndian)

  Instantiate a `GlobalParametersIFD` object.

  Parameters:
    `offset` - IFD offset
    `raf` - TIFF file
    `bigEndian` - True if big-endian file

Method Detail

### getProperty

    public Property getProperty(boolean rawOutput)
                         throws TiffException

  Get the IFD properties.

  Specified by:
    `getProperty` in class `IFD`
  Throws:
    `TiffException`

### lookupTag

    public void lookupTag(int tag,
                          int type,
                          long count,
                          long value)
                   throws TiffException

  Lookup an IFD tag.

  Specified by:
    `lookupTag` in class `IFD`
  Throws:
    `TiffException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD